Browse Source

Sync with portage [Tue Nov 2 15:34:40 MSK 2021].

master 2119
root 7 months ago
parent
commit
818d47029a
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 1
      app-admin/awscli/Manifest
  4. 47
      app-admin/awscli/awscli-1.21.8.ebuild
  5. BIN
      app-benchmarks/Manifest.gz
  6. 2
      app-benchmarks/stress/stress-1.0.5.ebuild
  7. BIN
      app-misc/Manifest.gz
  8. 1
      app-misc/broot/broot-1.7.0.ebuild
  9. BIN
      dev-lang/Manifest.gz
  10. 1
      dev-lang/inform/Manifest
  11. 26
      dev-lang/inform/inform-6.33.1_p2.ebuild
  12. 51
      dev-lang/inform/inform-6.35_p4.ebuild
  13. 50
      dev-lang/inform/metadata.xml
  14. 32
      dev-lang/rust-bin/Manifest
  15. 187
      dev-lang/rust-bin/rust-bin-1.56.1.ebuild
  16. 2
      dev-lang/rust/Manifest
  17. 683
      dev-lang/rust/rust-1.56.1.ebuild
  18. BIN
      dev-libs/Manifest.gz
  19. 2
      dev-libs/libarcus/libarcus-4.9.1.ebuild
  20. 2
      dev-libs/libcec/libcec-6.0.2.ebuild
  21. 2
      dev-libs/libcharon/libcharon-4.9.1-r1.ebuild
  22. 42
      dev-libs/libmowgli/libmowgli-2.1.3-r2.ebuild
  23. 2
      dev-libs/libsass/libsass-3.6.5.ebuild
  24. 2
      dev-libs/libsavitar/libsavitar-4.9.1.ebuild
  25. 23
      dev-libs/snowball-stemmer/files/libstemmer_c-shared-library.patch
  26. BIN
      dev-ml/Manifest.gz
  27. 2
      dev-ml/ppx_sexp_conv/ppx_sexp_conv-0.14.3.ebuild
  28. 2
      dev-ml/ppx_typerep_conv/ppx_typerep_conv-0.14.2.ebuild
  29. 2
      dev-ml/ppxlib/ppxlib-0.22.2-r2.ebuild
  30. 26
      dev-perl/DBI-Shell/files/DBI-Shell-11.950.0-local-scalar.patch
  31. 26
      dev-perl/DBI-Shell/files/DBI-Shell-11.950.0-nochrdir.patch
  32. 39
      dev-perl/DBI-Shell/files/DBI-Shell-11.950.0-perl526.patch
  33. 25
      dev-perl/DBI-Shell/files/DBI-Shell-11.950.0-sprintf-warn.patch
  34. 40
      dev-perl/Dist-Zilla-Plugin-NextVersion-Semantic/files/Dist-Zilla-Plugin-NextVersion-Semantic-0.2.5-no-V-in-test.patch
  35. 56
      dev-perl/ExtUtils-CppGuess/files/ExtUtils-CppGuess-0.110.0-no-dot-inc.patch
  36. 34
      dev-perl/File-NFSLock/files/File-NFSLock-1.27-no-dot-inc.patch
  37. 35
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0001-fix-spelling-error-settting-should-be-setting.patch
  38. 151
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0002-Generalize-the-test-suite.patch
  39. 37
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0003-subkey-validity-of-an-key-when-we-have-established-n.patch
  40. 35
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0004-ensure-that-test-covers-all-signatures.patch
  41. 39
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0005-add-gpg_is_modern-to-test-suite.patch
  42. 120
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0006-Modern-GnuPG-2.1-reports-more-detail-about-secret-ke.patch
  43. 95
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0007-test-suite-match-plaintext-output-across-versions-of.patch
  44. 29
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0008-fix-test_default_key_passphrase-when-passphrase-come.patch
  45. 112
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0009-clean-up-trailing-whitespace.patch
  46. 35
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0010-fix-capitalization-of-GnuPG.patch
  47. 21
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0011-ommand_args-should-be-command_args.patch
  48. 265
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0012-use-fingerprints-as-inputs-during-tests-to-demonstra.patch
  49. 33
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0013-move-key-files-to-generic-names.patch
  50. 53
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0014-fix-spelling-s-convience-convenience.patch
  51. 117
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0015-added-new-secret-key-with-different-passphrase.patch
  52. 302
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0016-Test-use-of-gpg-without-explicit-passphrase-agent-pi.patch
  53. 42
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0017-Kill-any-GnuPG-agent-before-and-after-the-test-suite.patch
  54. 110
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0018-Use-a-short-temporary-homedir-during-the-test-suite.patch
  55. 51
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0019-Make-things-work-with-gpg1-assuming-plain-gpg-is-mod.patch
  56. 54
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0030-gpg-2.2.6.patch
  57. 64
      dev-perl/GnuPG-Interface/files/GnuPG-Interface-0.520.0-0031-gpg-2.2.8.patch
  58. 83
      dev-perl/Google-Ads-AdWords-Client/files/4.14.0-no-dot-in-inc.patch
  59. 46
      dev-perl/Google-Ads-AdWords-Client/files/4.14.0-unescaped-lbracket.patch
  60. 2
      dev-perl/Gtk3-ImageView/Gtk3-ImageView-10.0.0.ebuild
  61. 63
      dev-perl/Gtk3/files/Gtk3-0.34.0-gdk-pixbuf-test.patch
  62. 8
      dev-perl/HTML-StripScripts-Parser/HTML-StripScripts-Parser-1.30.0-r1.ebuild
  63. 13
      dev-perl/HTML-StripScripts/HTML-StripScripts-1.60.0-r1.ebuild
  64. 10
      dev-perl/HTML-Table/HTML-Table-2.08a-r2.ebuild
  65. 20
      dev-perl/HTML-TableContentParser/HTML-TableContentParser-0.130.0.ebuild
  66. 21
      dev-perl/HTML-TableContentParser/HTML-TableContentParser-0.305.0.ebuild
  67. 2
      dev-perl/HTML-TableContentParser/Manifest
  68. 8
      dev-perl/HTML-TableExtract/HTML-TableExtract-2.150.0-r1.ebuild
  69. 27
      dev-perl/HTML-TableParser/HTML-TableParser-0.420.0.ebuild
  70. 1
      dev-perl/HTML-TableParser/Manifest
  71. 20
      dev-perl/HTML-Template-Expr/HTML-Template-Expr-0.70.0-r1.ebuild
  72. 20
      dev-perl/HTML-Template-Expr/HTML-Template-Expr-0.70.0-r2.ebuild
  73. 9
      dev-perl/HTML-Template/HTML-Template-2.970.0-r1.ebuild
  74. 6
      dev-perl/HTML-Tree/HTML-Tree-5.70.0-r1.ebuild
  75. 25
      dev-perl/HTTP-BrowserDetect/HTTP-BrowserDetect-3.350.0.ebuild
  76. 2
      dev-perl/HTTP-BrowserDetect/Manifest
  77. 15
      dev-perl/HTTP-Cache-Transparent/HTTP-Cache-Transparent-1.400.0-r1.ebuild
  78. 11
      dev-perl/HTTP-CookieJar/HTTP-CookieJar-0.12.0.ebuild
  79. 2
      dev-perl/HTTP-CookieJar/Manifest
  80. 31
      dev-perl/HTTP-Cookies/HTTP-Cookies-6.40.0.ebuild
  81. 1
      dev-perl/HTTP-Cookies/Manifest
  82. 23
      dev-perl/HTTP-DAV/HTTP-DAV-0.480.0.ebuild
  83. 1
      dev-perl/HTTP-DAV/Manifest
  84. 36
      dev-perl/HTTP-Daemon/HTTP-Daemon-6.60.0.ebuild
  85. 1
      dev-perl/HTTP-Daemon/Manifest
  86. 22
      dev-perl/HTTP-Date/HTTP-Date-6.20.0-r1.ebuild
  87. 1
      dev-perl/HTTP-Date/Manifest
  88. 35
      dev-perl/HTTP-Entity-Parser/HTTP-Entity-Parser-0.200.0.ebuild
  89. 1
      dev-perl/HTTP-Entity-Parser/Manifest
  90. BIN
      dev-perl/Manifest.gz
  91. 2
      dev-perl/Params-Validate/Params-Validate-1.300.0.ebuild
  92. 2
      dev-perl/Specio/Specio-0.470.0.ebuild
  93. 2
      dev-perl/Unicode-Map8/Unicode-Map8-0.130.0-r2.ebuild
  94. 1
      dev-perl/WebService-MusicBrainz/Manifest
  95. 21
      dev-perl/WebService-MusicBrainz/WebService-MusicBrainz-1.0.4.ebuild
  96. 2
      dev-perl/WebService-MusicBrainz/WebService-MusicBrainz-1.0.5.ebuild
  97. 2
      dev-perl/XString/XString-0.5.0.ebuild
  98. BIN
      dev-python/Manifest.gz
  99. 1
      dev-python/async_timeout/Manifest
  100. 36
      dev-python/async_timeout/async_timeout-4.0.0.ebuild

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

1
app-admin/awscli/Manifest

@ -4,3 +4,4 @@ DIST awscli-1.20.65.tar.gz 2091702 BLAKE2B e8295cf4e859c1e642077f4014fdea333292e
DIST awscli-1.21.5.tar.gz 2095418 BLAKE2B 152d0ac70e9e0120fb9b10451904af52035bce84168c055695e7dc93e56648bd7689f20ac0ecdbdfc54ccb846d51b33027d2e9ee09c5e5d1e915c0ec05b0fbfe SHA512 e3063252a50fc6033669a0ff80f82d73764a6728d623d75a27f0652e779cbeb452454d887bf5bd70199a7394df40f9758b14619778c6428a164d590e6c8aaa89
DIST awscli-1.21.6.tar.gz 2095961 BLAKE2B 7c765168604cf98f2c1be1aebf1cacb425124dff51a0a1ba1792634187feab6361d740aa743eda7d41a671300d4196e852640e04f56aa399752ce3305ac1ce86 SHA512 912d81f96cef3ae1c2a0969050e1bce304d1019a98d6bf16e45de50c66f85f6f69a10ceffeae773aafa002227e657861a9f41d123368c1b4a93b5d49747137d3
DIST awscli-1.21.7.tar.gz 2095914 BLAKE2B 6cb53fab223941a41eceeb8430d7158bc14da670a42609707ee5aea02a7e9d43f32fd7118ef7ab4ede54dd5312a4907eac7aa0e040d775ca7f606049dfc1a090 SHA512 8bf7dd4aaab890e4269a02fdd8735dd918a31783128dab46bc5077310ca385717fe4da913c2fb3c36e1132eaaea40cb7c4f434d6060fe27cd4bfc704581cd1e0
DIST awscli-1.21.8.tar.gz 2096389 BLAKE2B 5af0d744e243f9251a4d70914db58d2e154959505960fc93de6804951c4f41851072f7431f13e91b0d8ac96e349bdfc67517e2166e33e4224a68f91d9d7749c4 SHA512 3ca4913070ed468ea95376b5e571244af8bc562972c1894b4144b7e5e1c6937f298267d9e4db65549fcd61f6b6b552354070091c5b387b6e10f67f8a36e3611c

47
app-admin/awscli/awscli-1.21.8.ebuild

@ -0,0 +1,47 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 distutils-r1
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
distutils_enable_tests --install pytest
python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit}
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

BIN
app-benchmarks/Manifest.gz

2
app-benchmarks/stress/stress-1.0.5.ebuild

@ -11,7 +11,7 @@ SRC_URI="mirror://debian/pool/main/s/${PN}/${PN}_${PV}.orig.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
IUSE="static"
src_prepare() {

BIN
app-misc/Manifest.gz

1
app-misc/broot/broot-1.7.0.ebuild

@ -221,6 +221,7 @@ RDEPEND="
X? ( x11-libs/libxcb:= )
"
DEPEND="${RDEPEND}"
BDEPEND=">=virtual/rust-1.56"
QA_FLAGS_IGNORED="usr/bin/broot"

BIN
dev-lang/Manifest.gz

1
dev-lang/inform/Manifest

@ -1 +1,2 @@
DIST inform-6.33.1-b2.tar.gz 1822648 BLAKE2B e2ea59aa310b2f0122d1b834d98b0b827b945a8031a3e61c70bf502f7a746f43b81035cc22805ab351abf6f9df9ba898ea6ea83da863ef9aa313840ed974d725 SHA512 12cc10b7dae4118600a4d19d0aa44c3a7c93dfc8aa17bd56df7b9237f21df0ae99db6840eefaa5b11ff346369c6f6f2f128167b3479c8f540c29e3e36666c368
DIST inform-6.35-r4.tar.gz 2307089 BLAKE2B 9864324fe29fe920e226a239f92f327678ed796e5f5a27b3814f62b1158673b2c14d6771abd7af6f9743bb0949c4c6de75a6b591337b0e99196f8ab4d9f0c9f7 SHA512 c30c7067786845e0c77783f7a03a151ae1238978f648f6036fe9535a33662c76abc11db21bab00fe60c4742cd4da46e4674081711b9b3852520bfb14c1b068a6

26
dev-lang/inform/inform-6.33.1_p2.ebuild

@ -1,25 +1,31 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
MY_P=${P/_p/-b}
DESCRIPTION="design system for interactive fiction"
HOMEPAGE="http://www.inform-fiction.org/"
SRC_URI="http://mirror.ifarchive.org/if-archive/infocom/compilers/inform6/source/${MY_P}.tar.gz"
EAPI=8
MY_P="${P/_p/-b}"
DESCRIPTION="Design system for interactive fiction"
HOMEPAGE="https://www.inform-fiction.org/"
SRC_URI="mirror://gentoo/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="Artistic-2 Inform"
SLOT="0"
KEYWORDS="amd64 ~ppc ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="emacs"
PDEPEND="emacs? ( app-emacs/inform-mode )"
S=${WORKDIR}/${MY_P}
PDEPEND="emacs? ( app-emacs/inform-mode )"
src_install() {
default
dodoc VERSION
docinto tutorial
dodoc tutor/README tutor/*.inf
mv "${ED}"/usr/share/${PN}/manual "${ED}"/usr/share/doc/${PF}/html
rmdir "${ED}"/usr/share/inform/{include,module}
mv "${ED}"/usr/share/{${PN}/manual,doc/${PF}/html} || die
rmdir "${ED}"/usr/share/inform/{include,module} || die
rm "${ED}"/usr/share/inform/6.33b2/include/SmartCantGo.h || die #723062
}

51
dev-lang/inform/inform-6.35_p4.ebuild

@ -0,0 +1,51 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit toolchain-funcs
MY_P="${P/_p/-r}"
DESCRIPTION="Design system for interactive fiction"
HOMEPAGE="https://www.inform-fiction.org/"
SRC_URI="https://ifarchive.org/if-archive/infocom/compilers/inform6/source/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="Artistic-2 Inform"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="emacs tools"
# non-interactive tests use ruby, seem broken, and return true even on failure
RESTRICT="test"
RDEPEND="
tools? (
dev-lang/perl
dev-perl/DateTime
)"
PDEPEND="emacs? ( app-emacs/inform-mode )"
src_compile() {
tc-export CC
emake PREFIX="${EPREFIX}"/usr OPTS="${CFLAGS} ${CPPFLAGS}"
}
src_install() {
local emakeargs=(
PREFIX="${ED}"/usr
REAL_PREFIX="${EPREFIX}"/usr
MANDIR="${ED}"/usr/share/man/man1
PUNYDOCS="${ED}"/usr/share/doc/${PF}/punyinform
PUNYTESTS="${T}" # don't install tests
)
emake -j1 "${emakeargs[@]}" install
dodoc AUTHORS NEWS README.md VERSION docs/README*
use tools || rm "${ED}"/usr/bin/*blorb* || die
find "${ED}"/usr/share/doc \( -name Makefile -o -name 'custom.*' \) -delete || die
}

50
dev-lang/inform/metadata.xml

@ -1,44 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>games@gentoo.org</email>
<name>Gentoo Games Project</name>
</maintainer>
<longdescription>
A Design System for Interactive Fiction
Just as film might be called a form of literature which needs technology to be
read (a cinema projector or a television set) and to be written (a camera),
interactive fiction is read with the aid of a computer. On this analogy, Inform
is a piece of software enabling any modern computer to be used as the camera, or
the film studio, to create works of interactive fiction. To read the resulting
works, you and your audience need only a simpler piece of software called an
interpreter.
In this genre of fiction, the computer describes a world and the player types
instructions like touch the mirror for the protagonist character to follow; the
computer responds by describing the result, and so on until a story is told.
Interactive fiction emerged from the old-style "adventure game" (c.1975) and
tends to be a playful genre, which must sometimes be teased out as though it were
a cryptic crossword puzzle. But this doesn't prevent it from being an artistic
medium, which has attracted (for instance) the former U.S. Poet Laureate, Robert
Pinsky, and the novelists Thomas M. Disch and Michael Crichton. An interactive
fiction is not a child's puzzle-book, with a maze on one page and a rebus on the
next, but nor is it a novel. Neither pure interaction nor pure fiction, it lies
in a strange and still largely unexplored land in between.
Since its invention (by Graham Nelson in 1993), Inform has been used to design
some hundreds of works of interactive fiction, in eight languages, reviewed in
periodicals ranging in specialisation from XYZZYnews to The New York Times. It
accounts for around ten thousand postings per year to Internet newsgroups.
Commercially, Inform has been used as a multimedia games prototyping tool.
Academically, it has turned up in syllabuses and seminars from computer science
to theoretical architecture, and appears in books such as Cybertext: Perspectives
on Ergodic Literature (E. J. Aarseth, Johns Hopkins Press, 1997). Having started
as a revival of the then-disused Infocom adventure game format, the Z-Machine,
Inform came full circle when it produced Infocom's only text game of the 1990s:
Zork: The Undiscovered Underground, by Mike Berlyn and Marc Blank.
</longdescription>
<maintainer type="project">
<email>games@gentoo.org</email>
<name>Gentoo Games Project</name>
</maintainer>
<use>
<flag name="tools">Install blorbtools for manipulating Blorb files</flag>
</use>
<upstream>
<remote-id type="gitlab">DavidGriffith/inform6unix</remote-id>
</upstream>
</pkgmetadata>

32
dev-lang/rust-bin/Manifest

@ -158,3 +158,35 @@ DIST rust-1.56.0-x86_64-unknown-linux-gnu.tar.xz 147894784 BLAKE2B 6cbdb8a82aba4
DIST rust-1.56.0-x86_64-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B e0ed39db46b40631f69fa379a04ec37ba314587a4f081aa1f3251e01b7221ee8732b668cfcc4c24c1a3950f3f8dcfd542a1a73c603cea545b812d5d3a9527055 SHA512 3e9d0b159684a496e29c9e40af11f16f5ef5cadd8bc4852018a953310e77a4e29db6c14ffcc86198908aa4998550c83cfd3f2cc42e007122d56167d664776c44
DIST rust-1.56.0-x86_64-unknown-linux-musl.tar.xz 255010720 BLAKE2B 286e91cbf001de6f888bd82139e6711b32f03d45c599f26b01f60222d98c3521a1933b3b9b7f8c46fa79d481780dc8dc47e5e24985b721a6998d620b446c38b4 SHA512 fb5a914a25ef3cb39393207a75c40f1313740167062feb4cda4084e738f4e93a51624a8a9591acc18553cfd6e2e232984c8c84acc3dfd77fbe38b17085850881
DIST rust-1.56.0-x86_64-unknown-linux-musl.tar.xz.asc 801 BLAKE2B bb7cfc775c1c44569276e687028e9a7ffac31577310052d9c354179a541ee13b0ca00a025e994e03ab17086d0abe6dda6845ed1cb10879425439c7651bdc9269 SHA512 cb23d98cfb1b59fcccaec575145b6f38846f3f49b16a3be199b06d6198b1db13720157ca65a01f6ef76abf742507bba39776d130f0fd03aa228acf5917457f7d
DIST rust-1.56.1-aarch64-unknown-linux-gnu.tar.xz 223440940 BLAKE2B 9b4256943c4f5c8be83a81bbeb5f61d80b97c9925a2a2a47d8952530253f0e3e85363357a3cef9c425217a8b9572d4f55df3839640a24bf5b1e3c1dc8323f2b0 SHA512 1e612617206f0cb49ddc24352b8c8d344ac4613a71c59532e8df78189fd2ff13d71e4b1fa433e06e4af9b50292558b00f2118ffb8efff31359c28ac2fd5f5044
DIST rust-1.56.1-aarch64-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B 008a4eebe92b3403f863ab7bbb023292d267c6084513104ed1d6f401a806abbe3c97a4346d2b01c2c78ea0efd44292fe563f5a7cde959e23b309f492d388d04f SHA512 09180d201ed196105651d7fbe009df96a333ef2326309428db0b10b2c7e0a8fd3e013a63b287e27e7a04441f70cd5ff8abb8a32ac109495d9c4aa4f80ba777f3
DIST rust-1.56.1-aarch64-unknown-linux-musl.tar.xz 220094692 BLAKE2B b70936cfe4af636cee40bac700f043b1839bdd6f547eb3e9c781b51fb6ab426dded80ecd0c347a9c13d6930041a674f6b53a335a1be538d801eeebee0d98b3fd SHA512 ad9e0725bf570e04f5f439b231480b26a1cbd75eb770397ce2872895ff5705a5025eca06bfe6a60247b7071b0bc810bebe30f2ff99a68a252452e058c72d535e
DIST rust-1.56.1-aarch64-unknown-linux-musl.tar.xz.asc 801 BLAKE2B 8cf6a20edb6f4f53f6169f63031b259d02491a494c3110aecc791d80bc90aa9a7d90987e789946680b7ecac1bcf7f0a29c6208af5e29ac971c55a017252d99e2 SHA512 d4d4b04ea3c0f2c435186098b7889da008fbcf6205aff8e10d3b1c64e72aaa49520a9d781e9fc01c064d5bea471bb67af3a64e510ba4406151a52fdaa3640e77
DIST rust-1.56.1-arm-unknown-linux-gnueabi.tar.xz 202697992 BLAKE2B e4f4e68792699aa5a52e53414529309aef309533c3955a38a1de6a32ba13e8f4742693c7ca9ad0c1609a8e827200a8abc23c706d8dab302e9ce67ba493b81fa5 SHA512 afef90ce4e438e1383025642541bc2cdb383f1716b51484ad8a0ec7df4ce0dd635362b892bd009bb389b537d4d56ff876fbc1544af52c8d26d7e39842ab8b99b
DIST rust-1.56.1-arm-unknown-linux-gnueabi.tar.xz.asc 801 BLAKE2B 19808e687f5c24f7a4d63441fecfb80a2eed5c7cac448a34b2e049a6bf8656b9a145656066cb381ba0ba163a191c1a6fe99389fa0bb9e6937ef31f1514b8f0ae SHA512 7dc83b332ffe654ea811b4e0a8280cae7cac997592b8011a014ce8c13e33696e4a08fe062dad1e95b6577d41680281394b0d7757376a9fe7c91b6648b27673a5
DIST rust-1.56.1-arm-unknown-linux-gnueabihf.tar.xz 199832312 BLAKE2B 547f24f17e99b365855d52fc4eeec60d268b1fd039a551266328d553b8a5f4159c7fa466b2eadd340a4e66bd184fecbef5422a9168bbbf51f256c84273f9b6cc SHA512 2c498d84fd6ac68f11e7751c6bf4ed694b53ba1605b7c77a9d25f0d443443268bdbc9f1cb68bf19af0b22c928c4f3e261baa2c7ed360561820cb4926a5e9d88b
DIST rust-1.56.1-arm-unknown-linux-gnueabihf.tar.xz.asc 801 BLAKE2B ecd6e8641f899f3f3a05d7a9b8cdab820d0cc7f7a03cb37df9302d6f40cd4f1cafa4b78b0341289bfe798c8cb4778c471337563a5248e2e369dfb5cf82d1a57c SHA512 1848a554df193a2ac799fe021fef0f5ccd7288576b7370bb11202595c1706cfad30debccea90bc8678e83ab5050671e99de7b6bae2581935f669718f2dfebb60
DIST rust-1.56.1-armv7-unknown-linux-gnueabihf.tar.xz 205164704 BLAKE2B fb2b1c21561e35898a70a590dcf917f38eb0771c2902fa8e58d6e2a5c634ade52c893027ea22f00be350c249ab5336135ac462bd3495c9722b17576f0e39b7f9 SHA512 fd890ad58a346896a282b78b5138523c0ac06d177f9ec7c6df5262f24e9226be0e0f7a5d67d93d989e73c9380c0292fb7b3c977627cb5b57f48c8621a9b1444a
DIST rust-1.56.1-armv7-unknown-linux-gnueabihf.tar.xz.asc 801 BLAKE2B 810674d02b026ac9a768ed1bae893c62d25311c3316eae6a97e9b885b55a896acc286c1f039af040ebad8de80795eb3c8a2e476fc71e11485340240361b74800 SHA512 e1a0f9b8e22725634e96c42fe8e6f950836baf077ea578f099120c9eb77b8e075f6317df730849f3577d320253ce90b15a4a5803c47b33c340b104533f66aa76
DIST rust-1.56.1-i686-unknown-linux-gnu.tar.xz 215749044 BLAKE2B 5aa6b03f77ba632ac43d972d70e40c4f81e40607ad691f789829ca307acb167e164978a11aade4e89a7b2a4ebaf76833c9f59de9c2b7f7387a3a726fd62da638 SHA512 56e9fa266c0cb668695c202c80b768aba9443b8e594530a3fbdef9ddaff6a37251eca5de584423b51fbee9f0b7712e5de59f6cd0892da4ed036fef5b9e74f27c
DIST rust-1.56.1-i686-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B 4b16a978a6b8a10fd23a280351f37bee1bba23f437e613d2059a3c735ee472700a82fab973c2570f36eab730d000c27c0356ffd68a1784cc3dacf3366b211916 SHA512 b702a4f8953867b205f872ca8c886ad6e45a0794a955c878f18fe087d6d3d181221fa44e87e6f9913a683139707ade2f084558ade7475438f3c2a25be009a715
DIST rust-1.56.1-mips-unknown-linux-gnu.tar.xz 160905644 BLAKE2B 28fe08b7b80666d36c9f31f885778b3710a443ba2ca2b42d26ccb8172c6035e75badb49e0947f728648d68f1b10620088178568c5b9c847eb57e60233f3a91a8 SHA512 d805115ca963035bbefa619b20c756159983653746d1e7b6f239a9ea694fcc5fef39dda362c138a2951c739be8e3dc1c982a5317d646c332be9203408f80b43c
DIST rust-1.56.1-mips-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B d9a6aa5a05dd6266007c779a16bdae01c23f34433e3e53e5937f67e0905bd59f67ee9d986a53f22d88e8f1a3eb5cf627314b5f1e504d55163f2bf18f206d8455 SHA512 3e32d3b95fbc95b41eee9bb95946f94336ad6edde58c2eba1a89674beaa544c00fb1de3ccfd7336109bae2b20ae590691062eeba198ed5ff0272db4a073aed55
DIST rust-1.56.1-mips64-unknown-linux-gnuabi64.tar.xz 165745828 BLAKE2B c79f54e19d2cf8fe06ee796787880ef1946f737174a18e9b0ddd1b5b8770421c6d0339bc18970abc1c0cb18055c3ef78ff2fda51083175d875f38664a2a467c2 SHA512 be7c3d341f0217015ccb4c0221feec6612e10bac826e3b0d35c1a6cb09499ef1fe7ee1b44e131e91ae569a4b6ac02f533b7ee4f3b0a4c048c2a02f95d1f68797
DIST rust-1.56.1-mips64-unknown-linux-gnuabi64.tar.xz.asc 801 BLAKE2B 97ea8d84db8d68d821d2bfec3bac1fff1e30554447bf5e9e5e1e27efce095b26ea5df8dc41087edccfbd2a57a58aa225423a597ee04c15c49fa8f74d59faf022 SHA512 91acab66759833b31d46f757d6d482dff3fc85b305a682aa8bcaecfbd0072df3cb4b0544b32c52ef79a6ed1096997172ecf35bc07e1ae6ff207b60f8ff6933d4
DIST rust-1.56.1-mipsel-unknown-linux-gnu.tar.xz 165019404 BLAKE2B f452b04048250ad9e4bdd5797b4c0d0c45cc2e8be72b25b1e5b8421d8b6e240ed05e5573569dd0aea450ccc2fae6cb463814e7795af50477cdda86db807a19b1 SHA512 6b4ea1b864ce57d7796c1c268fff23184cf669de47f5b54775bff3062d7862f4a7d98f5ff84387b76b10088c36eda15a4073847687305b5e290c18ed47d2e11f
DIST rust-1.56.1-mipsel-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B 07c3a01b9daadc6ea952ec3a7110ee1a3c4dfddd69cd9e5339165f76c91902d634908ec0beb0dc0fb5bdfe42406901d0039f28861f6662a18555e289e8aab05d SHA512 b09a18fc1e4e2fe181895e41e62896bfcffc2ce46a03204455f9b7beb19771af4e79000d16ef07f7fa4a06eb018dbaf3d8b8b1385a4dfaa147ad2b693efe1334
DIST rust-1.56.1-powerpc-unknown-linux-gnu.tar.xz 174988436 BLAKE2B b1adae448adff47283b0761c9923d78dd6cf2aa608e9f53f9e156f41cdf5c29358236222c65e3d6202f98a08c2199e9f3ea7cd5838c259f8ff07b0ea276aa408 SHA512 680e0a4e5b3cda2ea89c4ab35a2fcf6210f2b829f284090ba5c793d9e76cb58f7cf6f60dcfcf1e26eba836690fa48be40b902a4f3599446be7be98b57d8ea20b
DIST rust-1.56.1-powerpc-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B 10f35bc23dd39a1e3f924e472ad0a0dfff4b30060c5b41868688541a80da7d47c5ea3a16684fe980fb83e8c72b6b6ca7d6f7c349d9c869f8300f042be2cc8e4a SHA512 765f0f9ef47568b8bba751b788ff9baa837c7d5e25da52e18b99ae6cb613ce19a725b7fdd6d6adaada18c24fdb308f73b18ad13b6abeaf34be91748fe78173b6
DIST rust-1.56.1-powerpc64-unknown-linux-gnu.tar.xz 186458276 BLAKE2B 3510ca7e2356f2101dc8e6a22de2d68fe48d4c1892e26b23eab18d7f0f1218499e41d325be267fb0284369567243c7e2fae9bb1ba62035fea1ad1c8ee1d57cba SHA512 34db35c1543239a4641eba4ee7d5435ac5383863fce843163ce1fa22c7aeb48199a696ccac199719d308eacd9c626922cf50a918869ae88cc2ae63dd0de9f5b5
DIST rust-1.56.1-powerpc64-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B 5755d15be9df74576abf0ec4db1ead6a7bf3069d8ce2edcb834da971ad0dadc0a41fecddecbf06b653b4ca71dbb799bd7a02126a00c294c0f0c2b9fb76fc69ab SHA512 27a57ad6aade3ba6453f3e98b8c456bea61ce9ccc6d8682721edad3b7747f2aac8dba87c419db2c5e049e005e3ccc708cc9a5f1d84e6a7daf6d90ec2d39c7bc5
DIST rust-1.56.1-powerpc64le-unknown-linux-gnu.tar.xz 196128248 BLAKE2B 7e5e5cb32496f2aa5f2dfbca37c53db92741ab7e56ee42c092046a96effead9819c906d22552159ddee9d7fbc4cf98b6e02aa53d39a3e58bc28a145304bb80d5 SHA512 603e9232879e5b9f79f91807f64e088cf657449bd8884c37218585d78c8b6e1919ac8f0aa7b6d38cbe844a89f837170a1bb8e0b4062c8b4aa9cca457eff89bdf
DIST rust-1.56.1-powerpc64le-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B 7e0822d38d7a6de478441c97d0f0d7506a750cb2bbe8c80f3bd210e74c2b2a0523b417c6b3070ec1f0131e0b9375f7a10a1b97588aaf8a1a73dc4ba110237c2f SHA512 cc5eca73c067b0802081c2469857d85a2853a1dd7a42a604400c150e91df1a0baae0a4a612f9a3e11fdc5de745598ae160f1606787ef251186db9b1f121cac3d
DIST rust-1.56.1-riscv64gc-unknown-linux-gnu.tar.xz 192592824 BLAKE2B 77d786d652978b7a6c93c290b5be49e69986858eb388e8325e40b7bdf5659b4e8bdaeef1b2654955ca0a4cb66fab83a788db2299fda9938a281ff534dd901191 SHA512 7d2431b173b48f8411a7e10d4c3b8880ded7330b14709d847f50b0b974f2cc261c942d729b663b86f2b4b637dd7c30f6d10976da037d0d4215c798407d418efe
DIST rust-1.56.1-riscv64gc-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B 210d69dc7c7cfba3ca4ecc8070e2ab193ce6abfe927779f3a55fe30b6cd6c588a2e4c8c18dcfa2014830c087fe97896fb1907b2a639c953cb6056d49107e34a9 SHA512 774f917e1145db0c9164d97937d486916334ccfb8dcb6bf859cfb49585f82e34185e755a105b7b811e74e6a3d629e3343d7620094b1d6aa43428525508368871
DIST rust-1.56.1-s390x-unknown-linux-gnu.tar.xz 194367060 BLAKE2B 33820048a10e83754b09bb8c99ac876fd9dd7a36377dfc6802b906b1fab4669a711d1ac4e2b59e8cba3ae0ad3cd96d10fb00cb1324e8cd2ebde5d0805a58861a SHA512 aa0231187d3f096bfb223707e08262ff79f1b6fb9969814fc2385d3a134efc456bb43030723e614163ff27e6d6a779d27b77ad7ed05c80ab24b22fd10f9bc183
DIST rust-1.56.1-s390x-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B c3c5e9678c61a1ec80aca4620d13bbe2164bb648895d25c90e61ac4a2b31c059445cb851417fa3477906cb5ea52c2318f6b6974916d59a3ab41444d419edbb64 SHA512 a5372dd48b9b65a9c4aa74dfe6f5294b1fe12149d6fdc15a6b23b132c8b05d634211dd9a4be3a916aecc7bfbc6710ea1116681876d547ecc4c1de6958fd6f26e
DIST rust-1.56.1-x86_64-unknown-linux-gnu.tar.xz 147853396 BLAKE2B 1d1318c9f076f1488d94eb345f01b511ed956b29511fa64706603aa141a18b1a937459b95f1354507a31ef8dc795ebff06f0006431088792e629a0534b9beabf SHA512 129c619c3a27b6be903b953efa033731b29436cf83c5229ad1137d2d26571379e5d6e2b3a5704e3002547560e47ae1fa7b6c98990bd2ea482299ad94099bb4b0
DIST rust-1.56.1-x86_64-unknown-linux-gnu.tar.xz.asc 801 BLAKE2B ff984dfa092ff3c1c5a3d1a5849b8dc5807c5885dff5eca020d0b1c404484197adb8e1ea5802886b15e2b8846d0f3aa4bb161e49dc39adc151ca7d57a988ff24 SHA512 53b57ceaf621248fff020de75434c8fe60657335852c88d14ea399c7935206caaff61ce159cb2f487510336981aa1d839b91153b9764ea21ced1fb6455a16bdd
DIST rust-1.56.1-x86_64-unknown-linux-musl.tar.xz 255304020 BLAKE2B c379fb419b6fa1c73b9c426a4f6e46328ce2ac1beddffb1ed25922b3387147eaf0217d3904ccc14ce2b97952f1035760264ae5fc7a575f92bea84d9581d8b315 SHA512 b26d4b9f6396be87aadfbb4777d91c80cfe656570e2bf1a0350788ca45caa7178d4b91966e77c8cc4873e017fd99649ae6a82abad64b32a4eb1f5dfb3a20d45e
DIST rust-1.56.1-x86_64-unknown-linux-musl.tar.xz.asc 801 BLAKE2B aed2703ef8cdcdf076d6538fb968f465c0a884b4c11916470324116e56a5b93fd7118b8b167ab19007ac71201044789f58de3a7ee1b60dffc47c3d123db1b4a5 SHA512 32c042982da7bde6c36bcb33fd3d9ebcb469667c880214b703e7b2cf89467e7e2bf37282cbc128d0207b9e433b7f2bd028e0d2614b657b544a552aa401bc98c8

187
dev-lang/rust-bin/rust-bin-1.56.1.ebuild

@ -0,0 +1,187 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit bash-completion-r1 prefix rust-toolchain toolchain-funcs verify-sig multilib-minimal
MY_P="rust-${PV}"
DESCRIPTION="Systems programming language from Mozilla"
HOMEPAGE="https://www.rust-lang.org/"
SRC_URI="$(rust_all_arch_uris ${MY_P})"
LICENSE="|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA"
SLOT="stable"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
IUSE="clippy cpu_flags_x86_sse2 doc prefix rls rustfmt"
DEPEND=""
RDEPEND=">=app-eselect/eselect-rust-20190311"
BDEPEND="
prefix? ( dev-util/patchelf )
verify-sig? ( app-crypt/openpgp-keys-rust )
"
REQUIRED_USE="x86? ( cpu_flags_x86_sse2 )"
QA_PREBUILT="
opt/${P}/bin/.*
opt/${P}/lib/.*.so
opt/${P}/libexec/.*
opt/${P}/lib/rustlib/.*/bin/.*
opt/${P}/lib/rustlib/.*/lib/.*
"
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/rust.asc
pkg_pretend() {
if [[ "$(tc-is-softfloat)" != "no" ]] && [[ ${CHOST} == armv7* ]]; then
die "${CHOST} is not supported by upstream Rust. You must use a hard float version."
fi
}
src_unpack() {
verify-sig_src_unpack
mv "${WORKDIR}/${MY_P}-$(rust_abi)" "${S}" || die
}
patchelf_for_bin() {
local filetype=$(file -b ${1})
if [[ ${filetype} == *ELF*interpreter* ]]; then
einfo "${1}'s interpreter changed"
patchelf ${1} --set-interpreter ${2} || die
elif [[ ${filetype} == *script* ]]; then
hprefixify ${1}
fi
}
multilib_src_install() {
if multilib_is_native_abi; then
# start native abi install
pushd "${S}" >/dev/null || die
local analysis std
analysis="$(grep 'analysis' ./components)"
std="$(grep 'std' ./components)"
local components="rustc,cargo,${std}"
use doc && components="${components},rust-docs"
use clippy && components="${components},clippy-preview"
use rls && components="${components},rls-preview,${analysis}"
use rustfmt && components="${components},rustfmt-preview"
./install.sh \
--components="${components}" \
--disable-verify \
--prefix="${ED}/opt/${P}" \
--mandir="${ED}/opt/${P}/man" \
--disable-ldconfig \
|| die
if use prefix; then
local interpreter=$(patchelf --print-interpreter ${EPREFIX}/bin/bash)
ebegin "Changing interpreter to ${interpreter} for Gentoo prefix at ${ED}/opt/${P}/bin"
find "${ED}/opt/${P}/bin" -type f -print0 | \
while IFS= read -r -d '' filename; do
patchelf_for_bin ${filename} ${interpreter} \; || die
done
eend $?
fi
local symlinks=(
cargo
rustc
rustdoc
rust-gdb
rust-gdbgui
rust-lldb
)
use clippy && symlinks+=( clippy-driver cargo-clippy )
use rls && symlinks+=( rls )
use rustfmt && symlinks+=( rustfmt cargo-fmt )
einfo "installing eselect-rust symlinks and paths"
local i
for i in "${symlinks[@]}"; do
# we need realpath on /usr/bin/* symlink return version-appended binary path.
# so /usr/bin/rustc should point to /opt/rust-bin-<ver>/bin/rustc-<ver>
local ver_i="${i}-bin-${PV}"
ln -v "${ED}/opt/${P}/bin/${i}" "${ED}/opt/${P}/bin/${ver_i}"
dosym "../../opt/${P}/bin/${ver_i}" "/usr/bin/${ver_i}"
done
# symlinks to switch components to active rust in eselect
dosym "../../../opt/${P}/lib" "/usr/lib/rust/lib-bin-${PV}"
dosym "../../../opt/${P}/man" "/usr/lib/rust/man-bin-${PV}"
dosym "../../opt/${P}/lib/rustlib" "/usr/lib/rustlib-bin-${PV}"
dosym "../../../opt/${P}/share/doc/rust" "/usr/share/doc/${P}"
# musl logic can be improved a bit, but fine as is for now
cat <<-_EOF_ > "${T}/50${P}"
LDPATH="${EPREFIX}/usr/lib/rust/lib"
MANPATH="${EPREFIX}/usr/lib/rust/man"
$(use amd64 && usex elibc_musl 'CARGO_TARGET_X86_64_UNKNOWN_LINUX_MUSL_RUSTFLAGS="-C target-feature=-crt-static"' '')
$(use arm64 && usex elibc_musl 'CARGO_TARGET_AARCH64_UNKNOWN_LINUX_MUSL_RUSTFLAGS="-C target-feature=-crt-static"' '')
_EOF_
doenvd "${T}/50${P}"
# note: eselect-rust adds EROOT to all paths below
cat <<-_EOF_ > "${T}/provider-${P}"
/usr/bin/cargo
/usr/bin/rustdoc
/usr/bin/rust-gdb
/usr/bin/rust-gdbgui
/usr/bin/rust-lldb
/usr/lib/rustlib
/usr/lib/rust/lib
/usr/lib/rust/man
/usr/share/doc/rust
_EOF_
if use clippy; then
echo /usr/bin/clippy-driver >> "${T}/provider-${P}"
echo /usr/bin/cargo-clippy >> "${T}/provider-${P}"
fi
if use rls; then
echo /usr/bin/rls >> "${T}/provider-${P}"
fi
if use rustfmt; then
echo /usr/bin/rustfmt >> "${T}/provider-${P}"
echo /usr/bin/cargo-fmt >> "${T}/provider-${P}"
fi
insinto /etc/env.d/rust
doins "${T}/provider-${P}"
popd >/dev/null || die
#end native abi install
else
local rust_target
rust_target="$(rust_abi $(get_abi_CHOST ${v##*.}))"
dodir "/opt/${P}/lib/rustlib"
cp -vr "${WORKDIR}/rust-${PV}-${rust_target}/rust-std-${rust_target}/lib/rustlib/${rust_target}"\
"${ED}/opt/${P}/lib/rustlib" || die
fi
# BUG: installs x86_64 binary on other arches
rm -f "${ED}/opt/${P}/lib/rustlib/"*/bin/rust-llvm-dwp || die
}
pkg_postinst() {
eselect rust update
elog "Rust installs a helper script for calling GDB now,"
elog "for your convenience it is installed under /usr/bin/rust-gdb-bin-${PV}."
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi
if has_version app-editors/gvim || has_version app-editors/vim; then
elog "install app-vim/rust-vim to get vim support for rust."
fi
}
pkg_postrm() {
eselect rust cleanup
}

2
dev-lang/rust/Manifest

@ -168,3 +168,5 @@ DIST rustc-1.55.0-src.tar.xz 117197580 BLAKE2B 8d9739ce7571146aee0e07c6287de9a8c
DIST rustc-1.55.0-src.tar.xz.asc 801 BLAKE2B 5b4ba951ed7ed56c7bd9c71df89cc1e966485d77411016ad71a811ad8e21b88295deec08f24f65afdb163e69ee0fe19288bcc64d18fe272bea51319caddb66b2 SHA512 9bc858ce26cc069cafaefe6165cb15a07e144ad6d6312bcbe115a0a51fec6e281d3e8a7977e958d7fa10e77139548d57396b1552a2802ec74b7bc6ac641e7ae4
DIST rustc-1.56.0-src.tar.xz 121802340 BLAKE2B aa471fd0785d6ceb75d4b661d466a450c960f6df19018a74732f2bab6ec176ea95e247e7cd44d550345bfa723bfc1b6088f0436287bed3752558654198856003 SHA512 2daa365524b47dcc48e49a0e9c8c45988af44c0845e2695dc5053f18e768e49acf3dbdd77f808dbf260546ef608eb47c593544012dd05675cb7e6b6223900315
DIST rustc-1.56.0-src.tar.xz.asc 801 BLAKE2B 75bd829e457b6cefb2fcdfd04ef835487c295420d9d9c8fd7af800b405fe1113c14be01ad3540fea7ed7c743397e337ce1d3b0e757c73292d7f342f352e89791 SHA512 e81cf3d8b1c97803138d4487c32c1463526d53513112b4fa170a81ba947280613fb3260b43d0629a45c859519ea094e467ce0cc0def722577febc3cc34ce5ed8
DIST rustc-1.56.1-src.tar.xz 121798264 BLAKE2B 09677b0332022f28a0d80949a6735929dbf64276f7eb57195d8c33e6c80f13c903432ff77d8834093ab551677618fb1d385f2300e2b1b4c064f9c245c696be32 SHA512 193468e211cde9ebc5f6e30b8e3733b79bd8710fe6dd45c7ed8d4392f91010d30466787afd4d0b2041cd7dd994924fee8ad111048824e248bd994959e55bf15f
DIST rustc-1.56.1-src.tar.xz.asc 801 BLAKE2B 70ed1c26971e864aa6cc9b05eb52c4a140d0d0cccb3ff66d4a13e1b1dbac958c5369f76524c4702311566ed26aff635f5e3d35d9da71d96e070f5f0e978dc2ba SHA512 f997e7962ef8b283c19c97d8b898f3642f1a58c89a9cc5470cf88682263a42e2054d670c12bf93c41e81edf8324a5b51453f402a74bccb7744c7f463cf689aa8

683
dev-lang/rust/rust-1.56.1.ebuild

@ -0,0 +1,683 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..10} )
inherit bash-completion-r1 check-reqs estack flag-o-matic llvm multiprocessing \
multilib-build python-any-r1 rust-toolchain toolchain-funcs verify-sig
if [[ ${PV} = *beta* ]]; then
betaver=${PV//*beta}
BETA_SNAPSHOT="${betaver:0:4}-${betaver:4:2}-${betaver:6:2}"
MY_P="rustc-beta"
SLOT="beta/${PV}"
SRC="${BETA_SNAPSHOT}/rustc-beta-src.tar.xz -> rustc-${PV}-src.tar.xz"
else
ABI_VER="$(ver_cut 1-2)"
SLOT="stable/${ABI_VER}"
MY_P="rustc-${PV}"
SRC="${MY_P}-src.tar.xz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
fi
RUST_STAGE0_VERSION="1.$(($(ver_cut 2) - 1)).0"
DESCRIPTION="Systems programming language from Mozilla"
HOMEPAGE="https://www.rust-lang.org/"
SRC_URI="
https://static.rust-lang.org/dist/${SRC}
verify-sig? ( https://static.rust-lang.org/dist/${SRC}.asc )
!system-bootstrap? ( $(rust_all_arch_uris rust-${RUST_STAGE0_VERSION}) )
"
# keep in sync with llvm ebuild of the same version as bundled one.
ALL_LLVM_TARGETS=( AArch64 AMDGPU ARM AVR BPF Hexagon Lanai Mips MSP430
NVPTX PowerPC RISCV Sparc SystemZ WebAssembly X86 XCore )
ALL_LLVM_TARGETS=( "${ALL_LLVM_TARGETS[@]/#/llvm_targets_}" )
LLVM_TARGET_USEDEPS=${ALL_LLVM_TARGETS[@]/%/(-)?}
LICENSE="|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA"
IUSE="clippy cpu_flags_x86_sse2 debug doc miri nightly parallel-compiler rls rustfmt system-bootstrap system-llvm test wasm ${ALL_LLVM_TARGETS[*]}"
# Please keep the LLVM dependency block separate. Since LLVM is slotted,
# we need to *really* make sure we're not pulling more than one slot
# simultaneously.
# How to use it:
# List all the working slots in LLVM_VALID_SLOTS, newest first.
LLVM_VALID_SLOTS=( 13 )
LLVM_MAX_SLOT="${LLVM_VALID_SLOTS[0]}"
# splitting usedeps needed to avoid CI/pkgcheck's UncheckableDep limitation
# (-) usedep needed because we may build with older llvm without that target
LLVM_DEPEND="|| ( "
for _s in ${LLVM_VALID_SLOTS[@]}; do
LLVM_DEPEND+=" ( "
for _x in ${ALL_LLVM_TARGETS[@]}; do
LLVM_DEPEND+="
${_x}? ( sys-devel/llvm:${_s}[${_x}(-)] )"
done
LLVM_DEPEND+=" )"
done
unset _s _x
LLVM_DEPEND+=" )
<sys-devel/llvm-$(( LLVM_MAX_SLOT + 1 )):=
wasm? ( sys-devel/lld )
"
# to bootstrap we need at least exactly previous version, or same.
# most of the time previous versions fail to bootstrap with newer
# for example 1.47.x, requires at least 1.46.x, 1.47.x is ok,
# but it fails to bootstrap with 1.48.x
# https://github.com/rust-lang/rust/blob/${PV}/src/stage0.txt
RUST_DEP_PREV="$(ver_cut 1).$(($(ver_cut 2) - 1))*"
RUST_DEP_CURR="$(ver_cut 1).$(ver_cut 2)*"
BOOTSTRAP_DEPEND="||
(
=dev-lang/rust-"${RUST_DEP_PREV}"
=dev-lang/rust-bin-"${RUST_DEP_PREV}"
=dev-lang/rust-"${RUST_DEP_CURR}"
=dev-lang/rust-bin-"${RUST_DEP_CURR}"
)
"
BDEPEND="${PYTHON_DEPS}
app-eselect/eselect-rust
|| (
>=sys-devel/gcc-4.7
>=sys-devel/clang-3.5
)
system-bootstrap? ( ${BOOTSTRAP_DEPEND} )
!system-llvm? (
>=dev-util/cmake-3.13.4
dev-util/ninja
)
test? ( sys-devel/gdb )
verify-sig? ( app-crypt/openpgp-keys-rust )
"
DEPEND="
>=app-arch/xz-utils-5.2
net-misc/curl:=[http2,ssl]
sys-libs/zlib:=
dev-libs/openssl:0=
elibc_musl? ( sys-libs/libunwind:= )
system-llvm? ( ${LLVM_DEPEND} )
"
# we need to block older versions due to layout changes.
RDEPEND="${DEPEND}
app-eselect/eselect-rust
!<dev-lang/rust-1.47.0-r1
!<dev-lang/rust-bin-1.47.0-r1
"
REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )
miri? ( nightly )
parallel-compiler? ( nightly )
test? ( ${ALL_LLVM_TARGETS[*]} )
wasm? ( llvm_targets_WebAssembly )
x86? ( cpu_flags_x86_sse2 )
"
# we don't use cmake.eclass, but can get a warnings
CMAKE_WARN_UNUSED_CLI=no
QA_FLAGS_IGNORED="
usr/lib/${PN}/${PV}/bin/.*
usr/lib/${PN}/${PV}/libexec/.*
usr/lib/${PN}/${PV}/lib/lib.*.so
usr/lib/${PN}/${PV}/lib/rustlib/.*/bin/.*
usr/lib/${PN}/${PV}/lib/rustlib/.*/lib/lib.*.so
"
QA_SONAME="
usr/lib/${PN}/${PV}/lib/lib.*.so.*
usr/lib/${PN}/${PV}/lib/rustlib/.*/lib/lib.*.so
"
# An rmeta file is custom binary format that contains the metadata for the crate.
# rmeta files do not support linking, since they do not contain compiled object files.
# so we can safely silence the warning for this QA check.
QA_WX_LOAD="usr/lib/${PN}/${PV}/lib/rustlib/.*/lib/.*rmeta"
QA_EXECSTACK="${QA_WX_LOAD}"
# causes double bootstrap
RESTRICT="test"
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/rust.asc
PATCHES=(
"${FILESDIR}"/1.55.0-ignore-broken-and-non-applicable-tests.patch
"${FILESDIR}"/1.49.0-gentoo-musl-target-specs.patch
)
S="${WORKDIR}/${MY_P}-src"
toml_usex() {
usex "${1}" true false
}
bootstrap_rust_version_check() {
# never call from pkg_pretend. eselect-rust may be not installed yet.
[[ ${MERGE_TYPE} == binary ]] && return
local rustc_wanted="$(ver_cut 1).$(($(ver_cut 2) - 1))"
local rustc_toonew="$(ver_cut 1).$(($(ver_cut 2) + 1))"
local rustc_version=( $(eselect --brief rust show 2>/dev/null) )
rustc_version=${rustc_version[0]#rust-bin-}
rustc_version=${rustc_version#rust-}
[[ -z "${rustc_version}" ]] && die "Failed to determine rust version, check 'eselect rust' output"
if ver_test "${rustc_version}" -lt "${rustc_wanted}" ; then
eerror "Rust >=${rustc_wanted} is required"
eerror "please run 'eselect rust' and set correct rust version"
die "selected rust version is too old"
elif ver_test "${rustc_version}" -ge "${rustc_toonew}" ; then
eerror "Rust <${rustc_toonew} is required"
eerror "please run 'eselect rust' and set correct rust version"
die "selected rust version is too new"
else
einfo "Using rust ${rustc_version} to build"
fi
}
pre_build_checks() {
local M=4096
# multiply requirements by 1.5 if we are doing x86-multilib
if use amd64; then
M=$(( $(usex abi_x86_32 15 10) * ${M} / 10 ))
fi
M=$(( $(usex clippy 128 0) + ${M} ))
M=$(( $(usex miri 128 0) + ${M} ))
M=$(( $(usex rls 512 0) + ${M} ))
M=$(( $(usex rustfmt 256 0) + ${M} ))
# add 2G if we compile llvm and 256M per llvm_target
if ! use system-llvm; then
M=$(( 2048 + ${M} ))
local ltarget
for ltarget in ${ALL_LLVM_TARGETS[@]}; do
M=$(( $(usex ${ltarget} 256 0) + ${M} ))
done
fi
M=$(( $(usex wasm 256 0) + ${M} ))
M=$(( $(usex debug 2 1) * ${M} ))
eshopts_push -s extglob
if is-flagq '-g?(gdb)?([1-9])'; then
M=$(( 15 * ${M} / 10 ))
fi
eshopts_pop
M=$(( $(usex system-bootstrap 0 1024) + ${M} ))
M=$(( $(usex doc 256 0) + ${M} ))
CHECKREQS_DISK_BUILD=${M}M check-reqs_pkg_${EBUILD_PHASE}
}
llvm_check_deps() {
has_version -r "sys-devel/llvm:${LLVM_SLOT}[${LLVM_TARGET_USEDEPS// /,}]"
}
pkg_pretend() {
pre_build_checks
}
pkg_setup() {
pre_build_checks
python-any-r1_pkg_setup
export LIBGIT2_NO_PKG_CONFIG=1 #749381
use system-bootstrap && bootstrap_rust_version_check
if use system-llvm; then
llvm_pkg_setup
local llvm_config="$(get_llvm_prefix "${LLVM_MAX_SLOT}")/bin/llvm-config"
export LLVM_LINK_SHARED=1
export RUSTFLAGS="${RUSTFLAGS} -Lnative=$("${llvm_config}" --libdir)"
fi
}
src_prepare() {
if ! use system-bootstrap; then
local rust_stage0_root="${WORKDIR}"/rust-stage0
local rust_stage0="rust-${RUST_STAGE0_VERSION}-$(rust_abi)"
"${WORKDIR}/${rust_stage0}"/install.sh --disable-ldconfig \
--without=rust-docs --destdir="${rust_stage0_root}" --prefix=/ || die
fi
default
}
src_configure() {
local rust_target="" rust_targets="" arch_cflags
# Collect rust target names to compile standard libs for all ABIs.
for v in $(multilib_get_enabled_abi_pairs); do
rust_targets="${rust_targets},\"$(rust_abi $(get_abi_CHOST ${v##*.}))\""
done
if use wasm; then
rust_targets="${rust_targets},\"wasm32-unknown-unknown\""
if use system-llvm; then
# un-hardcode rust-lld linker for this target
# https://bugs.gentoo.org/715348
sed -i '/linker:/ s/rust-lld/wasm-ld/' compiler/rustc_target/src/spec/wasm_base.rs || die
fi
fi
rust_targets="${rust_targets#,}"
local tools="\"cargo\","
if use clippy; then
tools="\"clippy\",$tools"
fi
if use miri; then
tools="\"miri\",$tools"
fi
if use rls; then
tools="\"rls\",\"analysis\",\"src\",$tools"
fi
if use rustfmt; then
tools="\"rustfmt\",$tools"
fi
local rust_stage0_root
if use system-bootstrap; then
local printsysroot
printsysroot="$(rustc --print sysroot || die "Can't determine rust's sysroot")"
rust_stage0_root="${printsysroot}"
else
rust_stage0_root="${WORKDIR}"/rust-stage0
fi
# in case of prefix it will be already prefixed, as --print sysroot returns full path
[[ -d ${rust_stage0_root} ]] || die "${rust_stage0_root} is not a directory"
rust_target="$(rust_abi)"
cat <<- _EOF_ > "${S}"/config.toml
changelog-seen = 2
[llvm]
download-ci-llvm = false
optimize = $(toml_usex !debug)
release-debuginfo = $(toml_usex debug)
assertions = $(toml_usex debug)
ninja = true
targets = "${LLVM_TARGETS// /;}"
experimental-targets = ""
link-shared = $(toml_usex system-llvm)
[build]
build-stage = 2
test-stage = 2
doc-stage = 2
build = "${rust_target}"
host = ["${rust_target}"]
target = [${rust_targets}]
cargo = "${rust_stage0_root}/bin/cargo"
rustc = "${rust_stage0_root}/bin/rustc"
rustfmt = "${rust_stage0_root}/bin/rustfmt"
docs = $(toml_usex doc)
compiler-docs = false
submodules = false
python = "${EPYTHON}"
locked-deps = true
vendor = true
extended = true
tools = [${tools}]
verbose = 2
sanitizers = false
profiler = false
cargo-native-static = false
[install]
prefix = "${EPREFIX}/usr/lib/${PN}/${PV}"
sysconfdir = "etc"
docdir = "share/doc/rust"
bindir = "bin"
libdir = "lib"
mandir = "share/man"
[rust]
# https://github.com/rust-lang/rust/issues/54872
codegen-units-std = 1
optimize = true
debug = $(toml_usex debug)
debug-assertions = $(toml_usex debug)
debug-assertions-std = $(toml_usex debug)
debuginfo-level = $(usex debug 2 0)
debuginfo-level-rustc = $(usex debug 2 0)
debuginfo-level-std = $(usex debug 2 0)
debuginfo-level-tools = $(usex debug 2 0)
debuginfo-level-tests = 0
backtrace = true
incremental = false
default-linker = "$(tc-getCC)"
parallel-compiler = $(toml_usex parallel-compiler)
channel = "$(usex nightly nightly stable)"
description = "gentoo"
rpath = false
verbose-tests = true
optimize-tests = $(toml_usex !debug)
codegen-tests = true
dist-src = false
remap-debuginfo = true
lld = $(usex system-llvm false $(toml_usex wasm))
# only deny warnings if doc+wasm are NOT requested, documenting stage0 wasm std fails without it
# https://github.com/rust-lang/rust/issues/74976
# https://github.com/rust-lang/rust/issues/76526
deny-warnings = $(usex wasm $(usex doc false true) true)
backtrace-on-ice = true
jemalloc = false
[dist]
src-tarball = false
compression-formats = ["gz"]
_EOF_
for v in $(multilib_get_enabled_abi_pairs); do
rust_target=$(rust_abi $(get_abi_CHOST ${v##*.}))
arch_cflags="$(get_abi_CFLAGS ${v##*.})"
cat <<- _EOF_ >> "${S}"/config.env
CFLAGS_${rust_target}=${arch_cflags}
_EOF_
cat <<- _EOF_ >> "${S}"/config.toml
[target.${rust_target}]
cc = "$(tc-getBUILD_CC)"
cxx = "$(tc-getBUILD_CXX)"
linker = "$(tc-getCC)"
ar = "$(tc-getAR)"
_EOF_
# librustc_target/spec/linux_musl_base.rs sets base.crt_static_default = true;
if use elibc_musl; then
cat <<- _EOF_ >> "${S}"/config.toml
crt-static = false
_EOF_
fi
if use system-llvm; then
cat <<- _EOF_ >> "${S}"/config.toml
llvm-config = "$(get_llvm_prefix "${LLVM_MAX_SLOT}")/bin/llvm-config"
_EOF_
fi
done
if use wasm; then
cat <<- _EOF_ >> "${S}"/config.toml
[target.wasm32-unknown-unknown]
linker = "$(usex system-llvm lld rust-lld)"
_EOF_
fi
if [[ -n ${I_KNOW_WHAT_I_AM_DOING_CROSS} ]]; then # whitespace intentionally shifted below
# experimental cross support
# discussion: https://bugs.gentoo.org/679878
# TODO: c*flags, clang, system-llvm, cargo.eclass target support
# it would be much better if we could split out stdlib
# complilation to separate ebuild and abuse CATEGORY to
# just install to /usr/lib/rustlib/<target>
# extra targets defined as a bash array
# spec format: <LLVM target>:<rust-target>:<CTARGET>
# best place would be /etc/portage/env/dev-lang/rust
# Example:
# RUST_CROSS_TARGETS=(
# "AArch64:aarch64-unknown-linux-gnu:aarch64-unknown-linux-gnu"
# )
# no extra hand holding is done, no target transformations, all
# values are passed as-is with just basic checks, so it's up to user to supply correct values
# valid rust targets can be obtained with
# rustc --print target-list
# matching cross toolchain has to be installed
# matching LLVM_TARGET has to be enabled for both rust and llvm (if using system one)
# only gcc toolchains installed with crossdev are checked for now.
# BUG: we can't pass host flags to cross compiler, so just filter for now
# BUG: this should be more fine-grained.
filter-flags '-mcpu=*' '-march=*' '-mtune=*'
local cross_target_spec
for cross_target_spec in "${RUST_CROSS_TARGETS[@]}";do
# extracts first element form <LLVM target>:<rust-target>:<CTARGET>
local cross_llvm_target="${cross_target_spec%%:*}"
# extracts toolchain triples, <rust-target>:<CTARGET>
local cross_triples="${cross_target_spec#*:}"
# extracts first element after before : separator
local cross_rust_target="${cross_triples%%:*}"
# extracts last element after : separator
local cross_toolchain="${cross_triples##*:}"
use llvm_targets_${cross_llvm_target} || die "need llvm_targets_${cross_llvm_target} target enabled"
command -v ${cross_toolchain}-gcc > /dev/null 2>&1 || die "need ${cross_toolchain} cross toolchain"
cat <<- _EOF_ >> "${S}"/config.toml
[target.${cross_rust_target}]
cc = "${cross_toolchain}-gcc"
cxx = "${cross_toolchain}-g++"
linker = "${cross_toolchain}-gcc"
ar = "${cross_toolchain}-ar"
_EOF_
if use system-llvm; then
cat <<- _EOF_ >> "${S}"/config.toml
llvm-config = "$(get_llvm_prefix "${LLVM_MAX_SLOT}")/bin/llvm-config"
_EOF_
fi
if [[ "${cross_toolchain}" == *-musl* ]]; then
cat <<- _EOF_ >> "${S}"/config.toml
musl-root = "$(${cross_toolchain}-gcc -print-sysroot)/usr"
_EOF_
fi
# append cross target to "normal" target list
# example 'target = ["powerpc64le-unknown-linux-gnu"]'
# becomes 'target = ["powerpc64le-unknown-linux-gnu","aarch64-unknown-linux-gnu"]'
rust_targets="${rust_targets},\"${cross_rust_target}\""
sed -i "/^target = \[/ s#\[.*\]#\[${rust_targets}\]#" config.toml || die
ewarn
ewarn "Enabled ${cross_rust_target} rust target"
ewarn "Using ${cross_toolchain} cross toolchain"
ewarn
if ! has_version -b 'sys-devel/binutils[multitarget]' ; then
ewarn "'sys-devel/binutils[multitarget]' is not installed"
ewarn "'strip' will be unable to strip cross libraries"
ewarn "cross targets will be installed with full debug information"
ewarn "enable 'multitarget' USE flag for binutils to be able to strip object files"
ewarn
ewarn "Alternatively llvm-strip can be used, it supports stripping any target"
ewarn "define STRIP=\"llvm-strip\" to use it (experimental)"
ewarn
fi
done
fi # I_KNOW_WHAT_I_AM_DOING_CROSS
einfo "Rust configured with the following flags:"
echo
echo RUSTFLAGS="${RUSTFLAGS:-}"
echo RUSTFLAGS_BOOTSTRAP="${RUSTFLAGS_BOOTSTRAP:-}"
echo RUSTFLAGS_NOT_BOOTSTRAP="${RUSTFLAGS_NOT_BOOTSTRAP:-}"
env | grep "CARGO_TARGET_.*_RUSTFLAGS="
cat "${S}"/config.env || die
echo
einfo "config.toml contents:"
cat "${S}"/config.toml || die
echo
}
src_compile() {
# we need \n IFS to have config.env with spaces loaded properly. #734018
(
IFS=$'\n'
env $(cat "${S}"/config.env) RUST_BACKTRACE=1\
"${EPYTHON}" ./x.py build -vv --config="${S}"/config.toml -j$(makeopts_jobs) || die
)
}
src_test() {
# https://rustc-dev-guide.rust-lang.org/tests/intro.html
# those are basic and codegen tests.
local tests=(
codegen
codegen-units
compile-fail
incremental
mir-opt
pretty
run-make
)
# fails if llvm is not built with ALL targets.
# and known to fail with system llvm sometimes.
use system-llvm || tests+=( assembly )
# fragile/expensive/less important tests
# or tests that require extra builds
# TODO: instead of skipping, just make some nonfatal.
if [[ ${ERUST_RUN_EXTRA_TESTS:-no} != no ]]; then
tests+=(
rustdoc
rustdoc-js
rustdoc-js-std
rustdoc-ui
run-make-fulldeps
ui
ui-fulldeps
)
fi
local i failed=()
einfo "rust_src_test: enabled tests ${tests[@]/#/src/test/}"
for i in "${tests[@]}"; do
local t="src/test/${i}"
einfo "rust_src_test: running ${t}"
if ! (
IFS=$'\n'
env $(cat "${S}"/config.env) RUST_BACKTRACE=1 \
"${EPYTHON}" ./x.py test -vv --config="${S}"/config.toml \
-j$(makeopts_jobs) --no-doc --no-fail-fast "${t}"
)
then
failed+=( "${t}" )
eerror "rust_src_test: ${t} failed"
fi
done
if [[ ${#failed[@]} -ne 0 ]]; then
eerror "rust_src_test: failure summary: ${failed[@]}"
die "aborting due to test failures"
fi
}
src_install() {
(
IFS=$'\n'
env $(cat "${S}"/config.env) DESTDIR="${D}" \
"${EPYTHON}" ./x.py install -vv --config="${S}"/config.toml -j$(makeopts_jobs) || die
)
# bug #689562, #689160
rm -v "${ED}/usr/lib/${PN}/${PV}/etc/bash_completion.d/cargo" || die
rmdir -v "${ED}/usr/lib/${PN}/${PV}"/etc{/bash_completion.d,} || die
newbashcomp src/tools/cargo/src/etc/cargo.bashcomp.sh cargo
local symlinks=(
cargo
rustc
rustdoc
rust-gdb
rust-gdbgui
rust-lldb
)
use clippy && symlinks+=( clippy-driver cargo-clippy )
use miri && symlinks+=( miri cargo-miri )
use rls && symlinks+=( rls )
use rustfmt && symlinks+=( rustfmt cargo-fmt )
einfo "installing eselect-rust symlinks and paths: ${symlinks[@]}"
local i
for i in "${symlinks[@]}"; do
# we need realpath on /usr/bin/* symlink return version-appended binary path.
# so /usr/bin/rustc should point to /usr/lib/rust/<ver>/bin/rustc-<ver>
# need to fix eselect-rust to remove this hack.
local ver_i="${i}-${PV}"
if [[ -f "${ED}/usr/lib/${PN}/${PV}/bin/${i}" ]]; then
einfo "Installing ${i} symlink"
ln -v "${ED}/usr/lib/${PN}/${PV}/bin/${i}" "${ED}/usr/lib/${PN}/${PV}/bin/${ver_i}" || die
else
ewarn "${i} symlink requested, but source file not found"
ewarn "please report this"
fi
dosym "../lib/${PN}/${PV}/bin/${ver_i}" "/usr/bin/${ver_i}"
done
# symlinks to switch components to active rust in eselect
dosym "${PV}/lib" "/usr/lib/${PN}/lib-${PV}"
dosym "${PV}/libexec" "/usr/lib/${PN}/libexec-${PV}"
dosym "${PV}/share/man" "/usr/lib/${PN}/man-${PV}"
dosym "rust/${PV}/lib/rustlib" "/usr/lib/rustlib-${PV}"
dosym "../../lib/${PN}/${PV}/share/doc/rust" "/usr/share/doc/${P}"
newenvd - "50${P}" <<-_EOF_
LDPATH="${EPREFIX}/usr/lib/rust/lib"
MANPATH="${EPREFIX}/usr/lib/rust/man"
$(use amd64 && usex elibc_musl 'CARGO_TARGET_X86_64_UNKNOWN_LINUX_MUSL_RUSTFLAGS="-C target-feature=-crt-static"' '')
$(use arm64 && usex elibc_musl 'CARGO_TARGET_AARCH64_UNKNOWN_LINUX_MUSL_RUSTFLAGS="-C target-feature=-crt-static"' '')
_EOF_
rm -rf "${ED}/usr/lib/${PN}/${PV}"/*.old || die
rm -rf "${ED}/usr/lib/${PN}/${PV}/doc"/*.old || die
# note: eselect-rust adds EROOT to all paths below
cat <<-_EOF_ > "${T}/provider-${P}"
/usr/bin/cargo
/usr/bin/rustdoc
/usr/bin/rust-gdb
/usr/bin/rust-gdbgui
/usr/bin/rust-lldb
/usr/lib/rustlib
/usr/lib/rust/lib
/usr/lib/rust/libexec
/usr/lib/rust/man
/usr/share/doc/rust
_EOF_
if use clippy; then
echo /usr/bin/clippy-driver >> "${T}/provider-${P}"
echo /usr/bin/cargo-clippy >> "${T}/provider-${P}"
fi
if use miri; then
echo /usr/bin/miri >> "${T}/provider-${P}"
echo /usr/bin/cargo-miri >> "${T}/provider-${P}"
fi
if use rls; then
echo /usr/bin/rls >> "${T}/provider-${P}"
fi
if use rustfmt; then
echo /usr/bin/rustfmt >> "${T}/provider-${P}"
echo /usr/bin/cargo-fmt >> "${T}/provider-${P}"
fi
insinto /etc/env.d/rust
doins "${T}/provider-${P}"
}
pkg_postinst() {
eselect rust update
if has_version sys-devel/gdb || has_version dev-util/lldb; then
elog "Rust installs a helper script for calling GDB and LLDB,"
elog "for your convenience it is installed under /usr/bin/rust-{gdb,lldb}-${PV}."
fi
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi
if has_version app-editors/gvim || has_version app-editors/vim; then
elog "install app-vim/rust-vim to get vim support for rust."
fi
}
pkg_postrm() {
eselect rust cleanup
}

BIN
dev-libs/Manifest.gz

2
dev-libs/libarcus/libarcus-4.9.1.ebuild

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{8,9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit cmake python-single-r1

2
dev-libs/libcec/libcec-6.0.2.ebuild

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
PYTHON_COMPAT=( python3_{8..10} )
MY_PV=${PV/_p/-}
MY_P=${PN}-${MY_PV}

2
dev-libs/libcharon/libcharon-4.9.1-r1.ebuild

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit cmake python-single-r1

42
dev-libs/libmowgli/libmowgli-2.1.3-r2.ebuild

@ -1,42 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools
DESCRIPTION="Useful set of performance and usability-oriented extensions to C"
HOMEPAGE="https://github.com/atheme/libmowgli-2"
SRC_URI="https://github.com/atheme/libmowgli-2/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="2"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="ssl"
RDEPEND="ssl? (
dev-libs/openssl:0=
)
!~dev-libs/libmowgli-2.1.0" # Bug 629644
DEPEND="${RDEPEND}"
DOCS=( AUTHORS README doc/BOOST doc/design-concepts.txt )
PATCHES=(
"${FILESDIR}"/${P}-cacheline-Ensure-sysconf-var-is-defined-before-use.patch
"${FILESDIR}"/${P}-use-host-tools-for-ar-and-ranlib.patch
)
S="${WORKDIR}/${PN}-2-${PV}"
src_prepare() {
default
# $(MAKE) invocation will handle passing down flags.
sed -i -e 's/${MFLAGS}//' buildsys.mk.in || die
AT_M4DIR="m4" eautoreconf
}
src_configure() {
econf $(use_with ssl openssl)
}

2
dev-libs/libsass/libsass-3.6.5.ebuild

@ -10,7 +10,7 @@ if [[ ${PV} = *9999 ]]; then
inherit git-r3
else
SRC_URI="https://github.com/sass/libsass/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~riscv x86 ~amd64-linux"
KEYWORDS="amd64 ~arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv x86 ~amd64-linux"
fi
DESCRIPTION="A C/C++ implementation of a Sass CSS compiler"

2
dev-libs/libsavitar/libsavitar-4.9.1.ebuild

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit cmake python-single-r1

23
dev-libs/snowball-stemmer/files/libstemmer_c-shared-library.patch

@ -1,23 +0,0 @@
--- /home/graaff/Desktop/Makefile 2009-11-06 01:57:50.000000000 +0100
+++ Makefile 2013-07-18 10:57:32.482149252 +0200
@@ -1,9 +1,13 @@
include mkinc.mak
-CFLAGS=-Iinclude
-all: libstemmer.o stemwords
-libstemmer.o: $(snowball_sources:.c=.o)
- $(AR) -cru $@ $^
-stemwords: examples/stemwords.o libstemmer.o
- $(CC) -o $@ $^
+CFLAGS+=-Iinclude -fPIC
+all: libstemmer.so libstemmer.a stemwords
+libstemmer.so: $(snowball_sources:.c=.o)
+ $(CC) $(CFLAGS) -shared $(LDFLAGS) -Wl,-soname,$@.0d -o $@.0d.0.0 $^
+ ln -s $@.0d.0.0 $@.0d
+ ln -s $@.0d.0.0 $@
+libstemmer.a: $(snowball_sources:.c=.o)
+ $(AR) -crs $@ $^
+stemwords: examples/stemwords.o libstemmer.so
+ $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
clean:
- rm -f stemwords *.o src_c/*.o runtime/*.o libstemmer/*.o
+ rm -f stemwords libstemmer.so* libstemmer.a *.o src_c/*.o runtime/*.o libstemmer/*.o

BIN
dev-ml/Manifest.gz

2
dev-ml/ppx_sexp_conv/ppx_sexp_conv-0.14.3.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://github.com/janestreet/ppx_sexp_conv/archive/v${PV}.tar.gz -> ${
LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 x86"
IUSE="+ocamlopt"
# Upper bound on ppxlib for bug #769536

2
dev-ml/ppx_typerep_conv/ppx_typerep_conv-0.14.2.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://github.com/janestreet/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.g
LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 x86"
IUSE="+ocamlopt"
DEPEND="

2
dev-ml/ppxlib/ppxlib-0.22.2-r2.ebuild

@ -16,7 +16,7 @@ SRC_URI="https://github.com/ocaml-ppx/ppxlib/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="Apache-2.0"
SLOT="0/${PV}"
KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 x86"
KEYWORDS="amd64 arm arm64 ppc ppc64 x86"
IUSE="+ocamlopt test"
RESTRICT="!test? ( test )"

26
dev-perl/DBI-Shell/files/DBI-Shell-11.950.0-local-scalar.patch

@ -1,26 +0,0 @@
From ef8efc5b80c9395c01f23e5acd28bb3ee7810b54 Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Sun, 8 Oct 2017 13:08:20 +1300
Subject: Fix useless localization of scalar assignment
Bug: https://rt.cpan.org/Ticket/Display.html?id=73873
---
lib/DBI/Format.pm | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/lib/DBI/Format.pm b/lib/DBI/Format.pm
index 49cd7dd..bc985f9 100755
--- a/lib/DBI/Format.pm
+++ b/lib/DBI/Format.pm
@@ -374,7 +374,7 @@ sub header {
sub row {
my($self, $rowref) = @_;
- local( $^W = 0 );
+ local ($^W) = 0;
my @row = @$rowref;
my $fh = $self->{'fh'};
print $fh (join($self->{sep}, @row), "\n");
--
2.14.1

26
dev-perl/DBI-Shell/files/DBI-Shell-11.950.0-nochrdir.patch

@ -1,26 +0,0 @@
From 9fb29d16514530245965b932040bb4fc37ffa9bf Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Sun, 8 Oct 2017 13:11:29 +1300
Subject: Fix no_chrdir warning
Bug: https://rt.cpan.org/Ticket/Display.html?id=123215
---
lib/DBI/Shell/FindSqlFile.pm | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/lib/DBI/Shell/FindSqlFile.pm b/lib/DBI/Shell/FindSqlFile.pm
index e604290..2b56ccc 100644
--- a/lib/DBI/Shell/FindSqlFile.pm
+++ b/lib/DBI/Shell/FindSqlFile.pm
@@ -62,7 +62,7 @@ sub look_for_file {
File::Find::find(
{
wanted => \&wanted
- , no_chrdir => 1
+ , no_chdir => 1
, bydepth => 0
},
@search_path);
--
2.14.1

39
dev-perl/DBI-Shell/files/DBI-Shell-11.950.0-perl526.patch

@ -1,39 +0,0 @@
From 792cf15cb387e58cec1ef3c6d538689d02ab44c3 Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Sun, 8 Oct 2017 12:46:17 +1300
Subject: Fix '.' removal from @INC in Perl 5.26
Configuration files were always assumed to be explicit paths given
by outsiders, not random entries in @INC
Bug: https://bugs.gentoo.org/615592
Bug: https://rt.cpan.org/Ticket/Display.html?id=121136
---
lib/DBI/Shell.pm | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/lib/DBI/Shell.pm b/lib/DBI/Shell.pm
index 03dd958..7869f0f 100755
--- a/lib/DBI/Shell.pm
+++ b/lib/DBI/Shell.pm
@@ -133,6 +133,7 @@ use Text::Abbrev ();
use Term::ReadLine;
use Getopt::Long 2.17; # upgrade from CPAN if needed: http://www.perl.com/CPAN
use IO::File;
+use File::Spec ();
use DBI 1.00 qw(:sql_types :utils);
use DBI::Format;
@@ -544,7 +545,8 @@ sub configuration {
$sh->{config_file} = $ENV{DBISH_CONFIG} || "$homedir/.dbish_config";
my $config;
if ($sh->{config_file} && -f $sh->{config_file}) {
- $config = require $sh->{config_file};
+ my $full = File::Spec->rel2abs( $sh->{config_file} );
+ $config = require $full;
# allow for custom configuration options.
if (exists $config->{'options'} ) {
$sh->install_options( $config->{'options'} );
--
2.14.1

25
dev-perl/DBI-Shell/files/DBI-Shell-11.950.0-sprintf-warn.patch

@ -1,25 +0,0 @@
From f44b8ba9d8cf954c76a967cbfb5d4182f109f8cf Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Sun, 8 Oct 2017 13:30:36 +1300
Subject: Silence warnings about reduntant sprintf args
Bug: https://rt.cpan.org/Ticket/Display.html?id=123216
---
lib/DBI/Format/SQLMinus.pm | 1 +
1 file changed, 1 insertion(+)
diff --git a/lib/DBI/Format/SQLMinus.pm b/lib/DBI/Format/SQLMinus.pm
index c3a9ba2..7b240c9 100755
--- a/lib/DBI/Format/SQLMinus.pm
+++ b/lib/DBI/Format/SQLMinus.pm
@@ -155,6 +155,7 @@ sub header {
if ( exists $cf->{format} and defined $cf->{format} ) {
$format_names = $cf->{format};
+ no warnings 'redundant';
$width = length sprintf( $format_names, " " );
}
--
2.14.1

40
dev-perl/Dist-Zilla-Plugin-NextVersion-Semantic/files/Dist-Zilla-Plugin-NextVersion-Semantic-0.2.5-no-V-in-test.patch

@ -1,40 +0,0 @@
From e38c5bfa847361ab251ce533fdd6e8993afbd2f3 Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Sat, 19 Sep 2020 22:13:21 +1200
Subject: t/basic.t: Don't become broken when MAKEOPTS includes V=1
Some people set MAKEOPTS to include V=1, in order to coax autotools
based makefiles into being more verbose.
But when that ENV var is used to direct perl ebuilds for Dzil things,
well, it unintentionally uses "1" as the *next version*, and so breaks
all code that isn't expecting that to happen.
Given its not the job of tests to tell people their system is weird, it
just makes the scope "normal" ( that is, defaulting V to be unset
internally )
Bug: https://bugs.gentoo.org/737308
Bug: https://github.com/yanick/Dist-Zilla-Plugin-NextVersion-Semantic/pull/6
---
t/basic.t | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/t/basic.t b/t/basic.t
index 22d04fe..b2942c8 100644
--- a/t/basic.t
+++ b/t/basic.t
@@ -6,6 +6,10 @@ use Test::Exception;
use Test::DZil;
+# V=1 is common in MAKEOPTS for gnu autotools
+# to set "verbose mode"
+delete $ENV{V} if exists $ENV{V};
+
my $changes = make_changes(<<'END_CHANGES');
- got included in an awesome test suite
END_CHANGES
--
2.28.0

56
dev-perl/ExtUtils-CppGuess/files/ExtUtils-CppGuess-0.110.0-no-dot-inc.patch

@ -1,56 +0,0 @@
From 2c89bb54f233776fb8760a264286f9e0932f62c6 Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentnl@gentoo.org>
Date: Sat, 21 Oct 2017 13:15:43 +1300
Subject: Fix tests on 5.26 without '.' in @INC
Bug: https://rt.cpan.org/Ticket/Display.html?id=120848
Bug: https://bugs.gentoo.org/615842
Bug: https://github.com/tsee/extutils-cppguess/pull/15
---
t/010_module_build.t | 3 ++-
t/011_makemaker.t | 3 ++-
t/lib/TestUtils.pm | 3 ++-
3 files changed, 6 insertions(+), 3 deletions(-)
diff --git a/t/010_module_build.t b/t/010_module_build.t
index 93b5f44..ef004d3 100644
--- a/t/010_module_build.t
+++ b/t/010_module_build.t
@@ -2,7 +2,8 @@
use strict;
use Test::More tests => 1;
-use t::lib::TestUtils;
+use lib 't/lib';
+use TestUtils;
my $separator = ( '=' x 40 . "\n" );
diff --git a/t/011_makemaker.t b/t/011_makemaker.t
index 237636a..5986395 100644
--- a/t/011_makemaker.t
+++ b/t/011_makemaker.t
@@ -2,7 +2,8 @@
use strict;
use Test::More tests => 1;
-use t::lib::TestUtils;
+use lib 't/lib';
+use TestUtils;
my $separator = ( '=' x 40 . "\n" );
diff --git a/t/lib/TestUtils.pm b/t/lib/TestUtils.pm
index c71572b..b3480c4 100644
--- a/t/lib/TestUtils.pm
+++ b/t/lib/TestUtils.pm
@@ -1,4 +1,5 @@
-package t::lib::TestUtils;
+package # hide
+ TestUtils;
use strict;
--
2.14.2

34
dev-perl/File-NFSLock/files/File-NFSLock-1.27-no-dot-inc.patch

@ -1,34 +0,0 @@
From 08deb6590eecd9d92a38edf1b22d615175e1d8d3 Mon Sep 17 00:00:00 2001
From: Kent Fredric <kentfredric@gmail.com>
Date: Mon, 26 Jun 2017 19:43:14 +1200
Subject: [PATCH] Fix for '.' removal from Perl 5.26 @INC
---
File-NFSLock.spec.PL | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/File-NFSLock.spec.PL b/File-NFSLock.spec.PL
index fdf9fdf..f5586c1 100644
--- a/File-NFSLock.spec.PL
+++ b/File-NFSLock.spec.PL
@@ -18,7 +18,7 @@ sub WriteMakefile {
} elsif (my $version_from = $props{VERSION_FROM}) {
$@ = "";
$version = eval qq{
- do "$version_from";
+ do "./$version_from";
\$$name\::VERSION || die "$version_from: Missing VERSION";
};
die $@ if $@;
@@ -29,7 +29,7 @@ sub WriteMakefile {
die "Makefile.PL: Could not determine version!";
}
}